• 4140阅读
  • 13回复

[公告]Qt 5.9 Alpha 版发布 [复制链接]

上一主题 下一主题
离线dromedary
 

只看楼主 倒序阅读 楼主  发表于: 02-24
离线stlcours

只看该作者 1楼 发表于: 02-24
Qt 5.9是一个重要里程碑版本,有可能成为一个新的LTS版本,还在研究,没有确定。从Qt 5.9版本开始,CI system infrastructure会比较完善,发布.0后版本将更加快速及时,5.7和5.8的补丁修复基本上在5.9上实现。

Qt5.9有显著的图像显示性能提升,图形渲染速度较Qt5.6版本提升10倍,比Qt5.8提升8倍。QML使用 ahead-of-time机制,提高启动速度。更多的新特征如下:

New Features (within existing modules)

Qt Core

添加了新的 qfloat16 类。

QProcessEnvironment 现在可以在 iOS,tvOS,watchOS 和 VxWorks 上使用.

QRegularExpression 现在需要 PCRE2 库,且 10.20 版本以上。 对 PCRE1 库的支持已被删除。 PCRE2 的副本与 Qt 一起部署,并将自动在缺乏它的平台上使用。

Qt GUI

QPainter 的 GL 引擎现在可以使用核心配置文件 OpenGL 上下文。

QImage 引入了 reinterpretAsFormat 来改变格式而不改变数据。

.......



详细内容,请查看发布说明。

Qt 5.9 Alpha版本只提供源代码下载,下载地址 download.qt.io 。二进制安装版在Beta版本发布的时候提供。正式版计划在5月31日发布。

http://www.oschina.net/news/82242/qt-5-9-alpha
离线九重水

只看该作者 2楼 发表于: 03-29
oschina相当不友好。我只不过点一下http://www.oschina.net/p/qt这里的软件首页,竟然需要登录。。。
感觉想拉注册用户想疯了。
离线y1363386323

只看该作者 3楼 发表于: 04-05
越更新越垃圾,汉化都没搞好,现在的帮助文档看到就恶心
离线songhuirong1

只看该作者 4楼 发表于: 05-07
Qt5什么时候才能跟Qt4一样稳定?有很多bug,不同的版本,有些有这个问题,有些就没有。我一个项目用Qt5.8,程序起来就闪退,查了好久都搞不定。后来换成Qt5.6.2,问题就解决了。还有Qt自身的翻译问题,一直都不解决,让人好揪心。
离线dingo

只看该作者 5楼 发表于: 05-21
QT被卖了之后,感觉稳定性差了很多,前后的兼容性也差了很多
离线stlcours

只看该作者 6楼 发表于: 05-21
回 songhuirong1 的帖子
songhuirong1:Qt5什么时候才能跟Qt4一样稳定?有很多bug,不同的版本,有些有这个问题,有些就没有。我一个项目用Qt5.8,程序起来就闪退,查了好久都搞不定。后来换成Qt5.6.2,问题就解决了。还有Qt自身的翻译问题,一直都不解决,让人好揪心。 (2017-05-07 16:53) 

明显你自己也有问题。5.8作为一个连补丁都没有的版本,只能是一个尝鲜版,这你都敢用??这样的决策水平,绝对差评。
离线songhuirong1

只看该作者 7楼 发表于: 05-22
回 stlcours 的帖子
stlcours:明显你自己也有问题。5.8作为一个连补丁都没有的版本,只能是一个尝鲜版,这你都敢用??这样的决策水平,绝对差评。 (2017-05-21 22:38) 

我用的是官方的正式版本,难道用官方正式发布版本都有问题?
离线stlcours

只看该作者 8楼 发表于: 05-22
回 songhuirong1 的帖子
songhuirong1:我用的是官方的正式版本,难道用官方正式发布版本都有问题? (2017-05-22 11:29) 

你问这句话,我觉得你的道行还是比较浅。想想VS的SP动不动1个多G,Qt有这些问题,当然也很正常,作为开发者一要尽力避免这些问题,二要督促他们解决这些bug。
离线songhuirong1

只看该作者 9楼 发表于: 05-23
回 stlcours 的帖子
stlcours:你问这句话,我觉得你的道行还是比较浅。想想VS的SP动不动1个多G,Qt有这些问题,当然也很正常,作为开发者一要尽力避免这些问题,二要督促他们解决这些bug。 (2017-05-22 16:03) 

我说的是5.8闪退,不是5.9,你看清楚,官方说5.8更稳定。可能你水平比较高吧,请多多指教。
离线stlcours

只看该作者 10楼 发表于: 05-23
回 songhuirong1 的帖子
songhuirong1:我说的是5.8闪退,不是5.9,你看清楚,官方说5.8更稳定。可能你水平比较高吧,请多多指教。 (2017-05-23 12:24) 

官方永远只宣传新版本的好处,不可能告诉你新添了什么bug(其实他们自己也不知道),这样就需要自己判断,平时细心收集信息,甚至对qtbug-report要保持一定的关注。官方的态度永远都是官方的,你自己的项目出了问题,他们是不会来替你擦屁股的。

和人生一样,要自己对自己好一点,而不是依赖别人(迷信官方的新版本和新功能)。
离线zhouhan

只看该作者 11楼 发表于: 05-26
我不在江湖  江湖却有我的传说
离线nigoole

只看该作者 12楼 发表于: 05-28
回 stlcours 的帖子
stlcours:官方永远只宣传新版本的好处,不可能告诉你新添了什么bug(其实他们自己也不知道),这样就需要自己判断,平时细心收集信息,甚至对qtbug-report要保持一定的关注。官方的态度永远都是官方的,你自己的项目出了问题,他们是不会来替你擦屁股的。
和人生一样,要自己对自己好一点 .. (2017-05-23 19:36) 

说的很好~~!
有句话说得好:好好学习,天天向上。加油~~!
离线wan_gn

只看该作者 13楼 发表于: 05-31
回 songhuirong1 的帖子
songhuirong1:我说的是5.8闪退,不是5.9,你看清楚,官方说5.8更稳定。可能你水平比较高吧,请多多指教。 (2017-05-23 12:24) 

一般.0版本都不用于作品中,仅仅尝尝鲜而已。稍微稳定的版本是打过补丁的版本,比如.1,.2,.3的,当然你也可以用长期支持版本,比如现在的长期支持版本5.6,用5.6的最后一个版本(现在好像是5.6.2)就比较稳定。
快速回复
限100 字节
 
上一个 下一个